<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSMETA1"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ListUsages']}</h1>
        <h:form id="globalform">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{mETADATAUsageEditorManager.listUsages.filter}"/>
                            <ui:param name="filterId" value="affinity"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.Affinity']}"/>
                            <ui:param name="filterForm" value="globalform,globalform2"/>
                            <ui:param name="filterWidth" value="240"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{mETADATAUsageEditorManager.listUsages.filter}"/>
                            <ui:param name="filterId" value="transaction"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.Transaction']}"/>
                            <ui:param name="filterForm" value="globalform,globalform2"/>
                            <ui:param name="filterWidth" value="240"/>
                        </ui:include>
                    </div>
                </div>

                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                     render="globalform,globalform2">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>

                    <a4j:commandLink actionListener="#{mETADATAUsageEditorManager.resetFilter()}"
                                     title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}" type="submit"
                                     execute="@this" render="globalform,globalform2">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>

            </ui:decorate>
        </h:form>
        <h:form id="globalform2">
            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ListUsages']}</f:facet>
                <a4j:commandButton
                        value="#{messages['net.ihe.gazelle.xdstar.AddNewUsage']}"
                        actionListener="#{mETADATAUsageEditorManager.initSelectedMETADATAUsage()}"
                        action="/admin/editUsage.xhtml" styleClass="gzl-btn-green"/>
                <br/>
                <br/>
                <rich:dataTable id="dataTable"
                                value="#{mETADATAUsageEditorManager.listUsages}" var="lu"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
                        <h:outputText value="#{lu.id}"/>
                    </g:column>
                    <g:column sortBy="#{'transaction.keyword'}"
                              filterBy="#{'transaction.keyword'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                        <h:outputText value="#{lu.transaction.keyword}"/>
                    </g:column>
                    <g:column sortBy="#{'affinity.keyword'}"
                              filterBy="#{'affinity.keyword'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
                        <h:outputText value="#{lu.affinity.keyword}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Description']}</ui:define>
                        <h:outputText value="#{lu.action}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                        <div class="gzl-never-wrap">
                            <a4j:commandLink
                                    actionListener="#{mETADATAUsageEditorManager.setSelectedMETADATAUsage(lu)}"
                                    action="/admin/editUsage.xhtml">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>
                            <a4j:commandLink
                                    action="#{mETADATAUsageEditorManager.setSelectedMETADATAUsage(lu)}"
                                    oncomplete="jq162('#confirm_delete').modal('show');"
                                    render="deleteForm">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="dataTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </gri:panel>
        </h:form>


        <h:form id="deleteForm">
            <gri:popupPanel id="confirm_delete">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DelteUsage']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#confirm_delete').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-red"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           action="#{mETADATAUsageEditorManager.deleteSelectedUsage()}"
                                           onclick="jq162('#confirm_delete').modal('hide');"
                                           render="globalform,globalform2"/>
                    </div>
                </f:facet>
                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteThisUsage']}"/>
                </p>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
